define({"152":{i:0.00579844251771493,u:"../Content/Configuration/SSL/_ACI_SSLConfigParams_Reference.htm",a:"Secure Socket Layer Parameters This section describes the configuration parameters used to configure  Secure Socket Layer (SSL) connections between components. These parameters usually appear in the [SSLOptions] section of the configuration file.",t:"Secure Socket Layer Parameters"},"153":{i:0.00573454275616945,u:"../Content/Configuration/SSL/_ACI_SSLCACertificate.htm",a:"The Certificate Authority (CA) certificate file of a trusted authority. The component trusts communication only with a peer that provides a certificate signed by the specified CAs.  When you set SSLCACertificate, it implicitly sets  SSLCheckCertificate  to  True. In this case, you can set  ...",t:"SSLCACertificate"},"154":{i:0.00216422877925971,u:"../Content/Configuration/SSL/_ACI_SSLCACertificatesPath.htm",a:"Use this parameter to specify the path to a directory containing multiple CA certificates in PEM format to check against. Each file must contain one CA certificate. The files are looked up by the CA subject name hash value, which must be available. If more than one CA certificate with the same name ...",t:"SSLCACertificatesPath"},"155":{i:0.00986809239597517,u:"../Content/Configuration/SSL/_ACI_SSLCertificate.htm",a:"The SSL Certificate file to use to identify this component to a peer. You can specify a single certificate in ASN1 or PEM format, or a chain certificate in PEM format. The chain certificate consists of the end-entity certificate, any intermediate certificates, ending with the root CA certificate.  ...",t:"SSLCertificate"},"156":{i:0.00657528035120768,u:"../Content/Configuration/SSL/_ACI_SSLCheckCertificate.htm",a:"Set SSLCheckCertificate to  True to require HPE Controller to request a certificate signed by a trusted authority from connected peers. When SSLCheckCertificate is set to  False, communications are encrypted, but certificates are not requested from peers. When you set  SSLCACertificate , it ...",t:"SSLCheckCertificate"},"157":{i:0.00334601130572733,u:"../Content/Configuration/SSL/_ACI_SSLCheckCommonName.htm",a:"Verifies the identity of the peer. Specifies whether the host name listed in the peer\u0027s certificate (that is, the CommonName or \"CN\" attribute) resolves to the same IP address as the peer itself, as determined by the network connection.  For example, if the host name in a certificate is ...",t:"SSLCheckCommonName"},"158":{i:0.000766982958685948,u:"../Content/Configuration/SSL/_ACI_SSLCipherSuite.htm",a:"The available ciphers to use to negotiate SSL connections. You can use this parameter to set an explicit list of ciphers to allow, or to disallow specific ciphers. The parameter uses the OpenSSL cipher string format. For details of this format, see the OpenSSL documentation ( ...",t:"SSLCipherSuite"},"159":{i:0.00334601130572733,u:"../Content/Configuration/SSL/_ACI_SSLMethod.htm",a:"Specifies which SSL protocol is used. The options are:  TLSV1.2 TLSV1 SSLV3 Negotiate - negotiate, and use the highest protocol supported by both client and server. In earlier versions of HPE Controller, this method is known as SSLV23. HPE recommends that you use TLSV1.2, unless interoperability ...",t:"SSLMethod"},"160":{i:0.010188906668587,u:"../Content/Configuration/SSL/_ACI_SSLPrivateKey.htm",a:"The private security key for the SSL certificate. It can be either ASN1 or PEM format. This parameter requires a matching SSLCertificate value. You can specify the file name with an absolute or relative path to the location of the key file. Type: String Default: None Required: Yes Configuration ...",t:"SSLPrivateKey"},"161":{i:0.00623286315978943,u:"../Content/Configuration/SSL/_ACI_SSLPrivateKeyPassword.htm",a:"The password for the file defined in SSLPrivateKey. The password might be in plain text, or basic or AES encryption format. Type: String Default: None Required: No Configuration Section: SSLOptionN Example: [SSLOption0]\nSSLCertificate=host1.crt\nSSLPrivateKey=host1.key\nSSLPrivateKeyPassword=PvKey1559 ...",t:"SSLPrivateKeyPassword"},"162":{i:0.000766982958685948,u:"../Content/Configuration/StatsCompression/StatsCompression_ConfigParams_Reference.htm",a:"This section describes the StatsCompression configuration settings that control how HPE Controller compresses old statistical data. If you use a shared statistics database for HPE Coordinator and HPE Controller components, you must not configure statistics compression in both the Coordinator and ...",t:"Statistics Compression Configuration Parameters"},"163":{i:0.000984294835238637,u:"../Content/Configuration/StatsCompression/Interval.htm",a:"After HPE Controller has collected new statistics, it compresses old data for each compression level by taking all intervals of the length specified by the Interval configuration parameter, and replacing them with an average or sample value. HPE Controller begins compression at the point where ...",t:"Interval"},"164":{i:0.00140262021484367,u:"../Content/Configuration/StatsCompression/Levels.htm",a:"The number of compression levels to apply to old statistical data. The StatsCompression section of the configuration file must also include a line for each of the levels you specify, numbered consecutively and starting from 0 (zero). For example, if you set Levels to 2, you should include the ...",t:"Levels"},"165":{i:0.00140262021484367,u:"../Content/Configuration/StatsCompression/MinAge.htm",a:"MinAge HPE Controller ends compression of old statistical data after the number of seconds specified in the MinAge configuration parameter. Type: Long Default: None Required: Yes Configuration Section: StatsCompression Example: MinAge=86400 See Also:  ",t:"MinAge"},"166":{i:0.000766982958685948,u:"../Content/Configuration/StatsMonitoring/StatsMonitor_ConfigParams_Reference.htm",a:"HPE Controller uses the GetStatistics service action to collect statistics from service processes and system statistics. For example: ...",t:"Statistics Monitoring Configuration Parameters"},"167":{i:0.000848474912393206,u:"../Content/Configuration/StatsMonitoring/AciTimeoutMS.htm",a:"AciTimeoutMs The timeout in milliseconds for ACI connections used to retrieve statistics from services. Type: Integer Default: 10000 Required: No Configuration Section: StatsMonitor Example: AciTimeoutMs=10000 See Also:  ",t:"AciTimeoutMs"},"168":{i:0.000848474912393206,u:"../Content/Configuration/StatsMonitoring/CompactIntervalSeconds.htm",a:"The default number of seconds for HPE Controller to wait in between attempts to compact the statistics file. Set CompactIntervalSeconds to 0 or a negative number to switch off compaction. Compaction saves space, but might have a slight performance impact. Type: Integer Default: 1 day (86400 seconds) ...",t:"CompactIntervalSeconds"},"169":{i:0.00251279230813463,u:"../Content/Configuration/StatsMonitoring/DefaultInterval.htm",a:"DefaultInterval The default number of seconds for HPE Controller to wait in between attempts to gather statistics. Type: Integer Default: 10 Required: No Configuration Section: StatsMonitor Example: DefaultInterval=30 See Also:  ",t:"DefaultInterval"},"170":{i:0.00565646414847538,u:"../Content/Configuration/StatsMonitoring/N.htm",a:"Each statistical rule must have its own entry in the configuration file. Entries must be numbered consecutively, starting from 0 (zero). Each rule must have the following format: Type | Port | MeterName You can set Type to any of the following values: Service. Service statistics are statistics ...",t:"N"},"171":{i:0.00565646414847538,u:"../Content/Configuration/StatsMonitoring/NumRules.htm",a:"NumRules Use the NumRules parameter to specify the number of statistics that you want to collect. Each statistical rule must have its own entry,  N , in the configuration file. Type: Integer Default: 0 Required: No Configuration Section: StatsMonitor Example: NumRules=11 See Also: N",t:"NumRules"},"172":{i:0.00195801984288749,u:"../Content/Configuration/StatsMonitoring/ProcessInterval.htm",a:"The number of seconds for HPE Controller to wait in between attempts to gather process statistics. This overrides the value set in  DefaultInterval . Type: Integer Default: None Required: No Configuration Section: StatsMonitor Example: ProcessInterval=60 See Also: DefaultInterval ServiceInterval ...",t:"ProcessInterval"},"173":{i:0.00195801984288749,u:"../Content/Configuration/StatsMonitoring/ServiceInterval.htm",a:"The number of seconds for HPE Controller to wait in between attempts to gather service statistics. This overrides the value set in  DefaultInterval . Type: Integer Default: None Required: No Configuration Section: StatsMonitor Example: ServiceInterval=60 See Also: DefaultInterval ProcessInterval ...",t:"ServiceInterval"},"174":{i:0.00195801984288749,u:"../Content/Configuration/StatsMonitoring/SystemInterval.htm",a:"The number of seconds for HPE Controller to wait in between attempts to gather system statistics. This overrides the value set in  DefaultInterval . Type: Integer Default: None Required: No Configuration Section: StatsMonitor Example: SystemInterval=20 See Also: DefaultInterval ProcessInterval ...",t:"SystemInterval"},"175":{i:0.000766982958685948,u:"../Content/Lua/Controller/_LuaFunctions.htm",a:"HPE Controller Lua scripts take the basic form: function TaskMain(service)\n   local status = 0\n   -- perform task\n   return status\nend  Scripts return a status value that indicates the status event. The status event is recorded by the HPE Controller server: Status value Status event 0 Success - Task ...",t:"Lua Functions for HPE Controller"},"176":{i:0.000766982958685948,u:"../Content/Lua/Controller/add_service_status.htm",a:"This function generates a status event of the specified type, with the specified message body. Syntax service:addServiceStatus( type, body ) For example: service:addServiceStatus(\"Error\", \"Test action did not return success\") Arguments Argument Description type (string) A status event of a specified ...",t:"addServiceStatus"},"177":{i:0.000766982958685948,u:"../Content/Lua/Controller/get_port_number.htm",a:"getPortNumber The getPortNumber function returns the ACI port number of the current service. Syntax service:getPortNumber( )  Arguments None Returns The ACI port number of the current service.",t:"getPortNumber"},"178":{i:0.00141891858834401,u:"../Content/Service/_ACI_part_Service.htm",a:"Service Actions This section describes the service actions that you can send to the service. Introduction to Service Actions Service Actions",t:"Service Actions"},"179":{i:0.00137002346784298,u:"../Content/Service/_ACI_Service_Intro.htm",a:"Service actions  return data about the service and allow you to control the service. If you add the  ServicePort ,  ServiceStatusClients , and  ServiceControlClients  settings to the [Service] section of the  configuration file, the service port is enabled and accepts the following standard status ...",t:"Introduction to Service Actions"},"180":{i:0.000766982958685948,u:"../Content/Service/_ACI_Action_Syntax.htm",a:"The actions use the following syntax: http://Host:Port/action=ActionName\u0026[Parameters] where, Host The IP address (or name) of the machine hosting the service. Port The ServicePort specified in the [Service] section of the service’s configuration file. ActionName One of the actions described in this ...",t:"Action Syntax"},"181":{i:0.0015330073752575,u:"../Content/Service/ServiceActions/_ACI_ServiceActions_Reference.htm",a:"Service Actions This section describes the Service actions.",t:"Service Actions"},"182":{i:0.000856561435042033,u:"../Content/Service/ServiceActions/_ACI_ACIThreadStatus.htm",a:"Returns information about the activity of all the threads that the ACI service is using, including the number of accepted connections. This is a status action that can be sent only from  ServiceStatusClients  (which are set in the [Service] section of the configuration file). Example ...",t:"ACIThreadStatus"},"183":{i:0.00778316688906768,u:"../Content/Service/ServiceActions/_ACI_Diagnostic.htm",a:"The Diagnostic action creates a ZIP file for the service, which contains useful information for troubleshooting.  The information provided, and the level of detail in the files, varies for different services.  This is a service control action that can be sent only from  ServiceControlClients  (which ...",t:"Diagnostic"},"184":{i:0.0013064348911396,u:"../Content/Service/ServiceActions/_ACI_GetConfig.htm",a:"GetConfig The GetConfig action returns the service’s configuration file settings. This is a service control action that can be sent only from  ServiceControlClients  (which are set in the [Service] section of the configuration file). Example action=GetConfig Parameters None.",t:"GetConfig"},"185":{i:0.00453361419174646,u:"../Content/Service/ServiceActions/_ACI_GetLogStream.htm",a:"The GetLogStream action returns a specific log stream for the service. This is a service control action that can be sent only from  ServiceControlClients  (which are set in the [Service] section of the configuration file). Example action=GetLogStream\u0026Name=application.log\u0026FromDisk=True\u0026Tail=10 This ...",t:"GetLogStream"},"186":{i:0.00255536586585527,u:"../Content/Service/ServiceActions/_ACI_GetLogStreamNames.htm",a:"The GetLogStreamNames action returns the names of the log streams defined for the service. This is a service control action that can be sent only from  ServiceControlClients  (which are set in the [Service] section of the configuration file). Example action=GetLogStreamNames Parameters None.",t:"GetLogStreamNames"},"187":{i:0.000856561435042033,u:"../Content/Service/ServiceActions/_ACI_GetStatistics.htm",a:"The GetStatistics action returns statistics for the service. This is a status action that can be sent only from  ServiceStatusClients  (which are set in the [Service] section of the configuration file). Each statistic returns in an autn:stat XML element. This element contains the following ...",t:"GetStatistics"},"188":{i:0.000856561435042033,u:"../Content/Service/ServiceActions/_ACI_GetStatus.htm",a:"The GetStatus action returns the status of the service  (running, paused, or stopping) and some current configuration settings.  This is a status action that can be sent only from  ServiceStatusClients  (which are set in the [Service] section of the configuration file). Example action=GetStatus ...",t:"GetStatus"},"189":{i:0.000856561435042033,u:"../Content/Service/ServiceActions/_ACI_GetStatusInfo.htm",a:"The GetStatusInfo action returns status information for the service (for example, the service’s product name, version number and so on). The action returns the following status information for the service: Statistics Description [StatusInfo] ServiceStartTime The time the service started running (in ...",t:"GetStatusInfo"},"190":{i:0.000856561435042033,u:"../Content/Service/ServiceActions/_ACI_Stop.htm",a:"Stop The Stop action stops the service. This is a service control action that can be sent only from  ServiceControlClients  (which are set in the [Service] section of the configuration file). Example action=Stop Parameters None.",t:"Stop"},"191":{i:0.000856561435042033,u:"../Content/Service/ServiceActions/_ACI_ValidateConfig.htm",a:"The ValidateConfig action detects and returns a list of configuration errors such as repeated or unused configuration keys and sections, unreferenced entries and so on.  For the ValidateConfig action to validate a configuration section, HPE Controller must have previously read that configuration. In ...",t:"ValidateConfig"},"192":{i:0.000766982958685948,u:"../Content/Appendixes.htm",a:"Appendixes This section contains the following appendixes: Open Source and Third-Party Software License Agreements Open Source and Third-Party Software License Agreements (Online Help)",t:"Appendixes"},"193":{i:0.00109295077351498,u:"../Content/ThirdPartyLicenses/_LIC_App_OpenSource.htm",a:"Open Source and Third-Party Software License Agreements HPE acknowledges the redistribution of the following open source and third-party components under the licenses shown below.",t:"Open Source and Third-Party Software License Agreements"},"194":{i:0.000766982958685948,u:"../Content/ThirdPartyLicenses/_LIC_Lua.htm",a:"Copyright © 1994–2017 Lua.org, PUC-Rio. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, ...",t:"Lua"},"195":{i:0.00109295077351498,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_OS3PLicenses.htm",a:"Open Source and Third-Party Software License Agreements (Online Help) Hewlett Packard Enterprise acknowledges the redistribution of open source and third-party components that use the following licenses.",t:"Open Source and Third-Party Software License Agreements (Online Help)"},"196":{i:0.000766982958685948,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_OSLicenses.htm",a:"Open Source Licenses Hewlett Packard Enterprise acknowledges the redistribution of open source components that use the following licenses.",t:"Open Source Licenses"},"197":{i:0.000766982958685948,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_com_Apache_v2.0.htm",a:"Apache License 2.0 HPE acknowledges the redistribution of the following open source components that are provided under this license: PIE.htc, PIE_uncompressed.htc, PIE-no-motw.htc License  For the text of Apache License 2.0, see  Appendix: Apache License 2.0 (Full Text) .",t:"Apache License 2.0"},"198":{i:0.000766982958685948,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_com_BSD_3-Clause.htm",a:"BSD 3-Clause License HPE acknowledges the redistribution of the following open source component that is provided under this license: Porter-Stemmer For the text of the BSD 3-Clause License, see  Appendix: BSD 3-Clause License (Full Text) .",t:"BSD 3-Clause License"},"199":{i:0.000766982958685948,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_com_MIT.htm",a:"HPE acknowledges the redistribution of the following open source components that are provided under this license: BxSlider 4.1.1 Copyright 2014, Steven Wanderski -  http://stevenwanderski.com  -  http://bxcreative.com Foundation Responsive Library (used by: foundation.offcanvas.js, plugins.min.js) ...",t:"The MIT License (MIT)"},"200":{i:0.000766982958685948,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_com_publicDomain.htm",a:"Public Domain HPE acknowledges the redistribution of the following open source components that are in the public domain: Array.indexOf polyfill Detect Mobile Browser (jQuery.browser.mobile) FitVids v1.0",t:"Public Domain"},"201":{i:0.00141891858834401,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_Apache_v2.0_fullText.htm",a:"Apache License Version 2.0, January 2004\n             http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. \"License\" shall mean the terms and conditions for use, reproduction, and\n\t\tdistribution as defined by Sections 1 through 9 of this ...",t:"Appendix: Apache License 2.0 (Full Text)"},"202":{i:0.00141891858834401,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_BSD_3-Clause_fullText.htm",a:"Copyright (c) \u003cYEAR\u003e, \u003cOWNER\u003e All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the ...",t:"Appendix: BSD 3-Clause License (Full Text)"},"203":{i:0.00141891858834401,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_MITLicense_fullText.htm",a:"\nThe MIT License (MIT) \nCopyright (c) \u003cyear\u003e \u003ccopyright holders\u003e Permission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto ...",t:"Appendix: The MIT License (Full Text)"},"204":{i:0.00204756744414086,u:"../Content/Actions/Controller/Parameters/Command.htm",a:"Command The action that you want to send to the specified service port. Actions: SendAction Type: String Default: None Required: Yes Example: Command=DRERESET See Also:  ",t:"Command"},"205":{i:0.00162991606956345,u:"../Content/Actions/Controller/Parameters/ConfigContent.htm",a:"The ConfigContent action parameter is deprecated for HPE Controller version 11.4.0 and later.  The ConfigContent action parameter is still available for existing implementations, but it might be incompatible with new functionality. The action parameter might be deleted in future. An optional ...",t:"ConfigContent"},"206":{i:0.00315606161960046,u:"../Content/Actions/Controller/Parameters/ConfigData.htm",a:"ConfigData Data in multipart/form-data format to send with the action, that contains the new configuration to use. Actions: UpdateServiceConfig Type: Binary data Default: None Required: No See Also: ConfigFileName Comments You must specify either ConfigData or ConfigFileName.",t:"ConfigData"},"207":{i:0.00315606161960046,u:"../Content/Actions/Controller/Parameters/ConfigFileName.htm",a:"The path on the target machine to  the new configuration file to use.  Relative paths are calculated relative to the path of the existing configuration file. Actions: UpdateServiceConfig Type: String Default: None Required: No Example: ConfigFileName=HewlettPackardEnterpriseIDOLServer.cfg See Also: ...",t:"ConfigFileName"},"208":{i:0.00267633278416604,u:"../Content/Actions/Controller/Parameters/ConfigPath.htm",a:"ConfigPath The path to the configuration file of the service that you want to add or edit. Actions: AddService ,  EditServiceInfo Type: String Default: None Required: No Example: ConfigPath=HewlettPackardEnterpriseIDOLServer.cfg See Also:  ",t:"ConfigPath"},"209":{i:0.00723359385266632,u:"../Content/Actions/Controller/Parameters/ControlMethod.htm",a:"The control method to use to add, edit, start, restart, or stop the service.  You can use one of the following values: SCM. Use Windows services to control services. If you use the SCM control method, you must set the  SCMServiceName  parameter. Script. Use a Linux script to control services. The ...",t:"ControlMethod"},"210":{i:0.00267633278416604,u:"../Content/Actions/Controller/Parameters/ExecPath.htm",a:"ExecPath The full path of the executable file for the service that you want to add or edit. Actions: AddService ,  EditServiceInfo Type: String Default: None Required: No Example: ExecPath=C:/HewlettPackardEnterprise/IDOLServer/IDOL/HewlettPackardEnterpriseIDOLServer.exe See Also:  ",t:"ExecPath"},"211":{i:0.00252835711308742,u:"../Content/Actions/Controller/Parameters/FileData.htm",a:"FileData If you want to create or update the shared file, use the FileData parameter to upload the new file content  as multipart/form-data. Actions: UpdateSharedFile Type: Binary data Default: None Required: Yes See Also: SharedFilePath  (configuration parameter)",t:"FileData"},"212":{i:0.00434139606174708,u:"../Content/Actions/Controller/Parameters/FileName.htm",a:"The name of the file to return or update.  You must specify a relative file path relative to the shared file directory. You can specify a path that contains subdirectories. Actions: GetSharedFile ,   UpdateSharedFile Type: String Default: None Required: Yes Example: FileName=lua/script.lua See Also: ...",t:"FileName"},"213":{i:0.00305986194267579,u:"../Content/Actions/Controller/Parameters/IDs.htm",a:"IDs The identification number of the status record to remove. Separate multiple ID numbers with a comma. Actions: RemoveStatusRecords Type: Long Default: None Required: No Example: IDs=2134654,464987894 See Also:  ",t:"IDs"},"214":{i:0.00230246283063238,u:"../Content/Actions/Controller/Parameters/IncludeAllMeters.htm",a:"IncludeAllMeters Whether to include meters with no values for the relevant period in the response. Actions: GetStatistics Type: Boolean Default: False Required: No Example: IncludeAllMeters=True See Also:  ",t:"IncludeAllMeters"},"215":{i:0.00370585539030195,u:"../Content/Actions/Controller/Parameters/InitScriptPath.htm",a:"The path to the Linux file that you want to use to control the service if you set ControlMethod to  script. Actions: AddService EditServiceInfo Type: String Default: None Required: No, unless ControlMethod is set to  Script Example: InitScriptPath=/home/scripts/control_script.sh See Also: ...",t:"InitScriptPath"},"216":{i:0.00358214805555555,u:"../Content/Actions/Controller/Parameters/Labels.htm",a:"Any optional labels to associate with the service. You can add labels, or labels and optional values, in the form of label:value pairs; you can then filter services and statistics by label. Separate multiple labels with a comma. Actions: AddService EditServiceInfo GetServices Type: String Default: ...",t:"Labels"},"217":{i:0.00192311023538983,u:"../Content/Actions/Controller/Parameters/LabelsRunScript.htm",a:"Set the optional Labels parameter to a comma-separated list of labels to  specify that your Lua script must run only on services that contain at least one of the specified labels. If you do not specify a list of labels, the script runs on services with all labels. Actions: RunScript Type: String ...",t:"Labels"},"218":{i:0.00305986194267579,u:"../Content/Actions/Controller/Parameters/MaxEndTime.htm",a:"If you specify the MaxEndTime parameter, the RemoveStatusRecords action deletes any status records that are older than the specified value. You must specify MaxEndTime in epoch seconds (seconds since 1 January, 1970). For example, to delete all records prior to Wednesday 2 January, 14:34:35 2013, ...",t:"MaxEndTime"},"219":{i:0.00285238997018218,u:"../Content/Actions/Controller/Parameters/MaxHistoryResults.htm",a:"The maximum number of non-current status records to include in the results. Set this to  0 to return unlimited non-current records. You must set  Summarize  to  False to return non-current records. Actions: GetStatusOverview Type: Long Default: 0 Required: No Example: MaxResults=100 See Also:  ",t:"MaxHistoryResults"},"220":{i:0.00230246283063238,u:"../Content/Actions/Controller/Parameters/MaxResultsGetStats.htm",a:"The maximum number of results that the GetStatistics action can return, from the total number of results returned. Set MaxResults to  0 to return unlimited results. You can also specify an optional  GetStatusOverview . By default, the most recent results display first.  Actions: GetStatistics Type: ...",t:"MaxResults"},"221":{i:0.00285238997018218,u:"../Content/Actions/Controller/Parameters/MaxResultsStatusOverview.htm",a:"MaxResults The total number of status records to return. Actions: GetStatusOverview Type: Long Default: 100 Required: No Example: MaxResults=100 See Also:  ",t:"MaxResults"},"222":{i:0.00518866006287745,u:"../Content/Actions/Controller/Parameters/MaxTimestampDeleteStats.htm",a:"The end date for the time period for which you want to delete statistics. You must specify MaxTimestamp in epoch seconds (seconds since 1 January, 1970). For example, to delete all statistics up to Wednesday 2 January, 14:34:35 2013, set MaxTimestamp to  1357137275. Actions: EraseStatistics Type: ...",t:"MaxTimestamp"},"223":{i:0.00519864113304604,u:"../Content/Actions/Controller/Parameters/MaxTimestampGetStats.htm",a:"If you want to return statistics for a particular period of time, you can specify the maximum date up to which to include statistics by using MaxTimestamp. You must specify MaxTimestamp in epoch seconds (seconds since 1 January, 1970). For example, to return all statistics up to Wednesday 2 January, ...",t:"MaxTimestamp"},"224":{i:0.00518866006287745,u:"../Content/Actions/Controller/Parameters/MinTimestampDeleteStats.htm",a:"The start date for the time period for which you want to delete statistics. You must specify MinTimestamp in epoch seconds (seconds since 1 January, 1970). For example, to delete all statistics starting from Friday 21 December 10:28:18 2012, set MinTimestamp to  1356085698. Actions: EraseStatistics ...",t:"MinTimestamp"},"225":{i:0.00451193201444361,u:"../Content/Actions/Controller/Parameters/MinTimestampGetStats.htm",a:"If you want to return statistics from a particular period of time, you can specify the start date from which to include statistics using MinTimestamp. You must specify MinTimestamp in epoch seconds (seconds since 1 January, 1970). For example, to return all statistics starting from Friday 21 ...",t:"MinTimestamp"},"226":{i:0.00358214805555555,u:"../Content/Actions/Controller/Parameters/Name.htm",a:"Name The name for the service. You can filter statistics and services by names. Actions: AddService EditServiceInfo GetServices Type: String Default: None Required: No Example: Name=idol See Also:  \n                    ",t:"Name"},"227":{i:0.00357611787452162,u:"../Content/Actions/Controller/Parameters/OldCheckSum.htm",a:"The checksum of the old configuration file. The checksum of the older version of the file must match the current version of the file, otherwise the action does not run, because the file must have  changed. You can use the  GetSharedFile  action to retrieve the checksum. Actions: UpdateSharedFile ...",t:"OldCheckSum"},"228":{i:0.00252835711308742,u:"../Content/Actions/Controller/Parameters/Operation.htm",a:"The type of operation to perform. Set this parameter to one of the following options: create. Create a new file.\n             update. Update an existing file.\n             delete. Delete an existing file.\n             You must specify a relative file path relative to the shared file directory. ...",t:"Operation"},});